# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.86.0"
name = "tui-vfx"
version = "0.2.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cell-based visual effects for terminal UIs"
readme = "README.md"
keywords = [
    "tui",
    "terminal",
    "effects",
    "animation",
]
categories = [
    "command-line-interface",
    "graphics",
]
license = "MIT"
repository = "https://github.com/5ocworkshop/tui-vfx"

[lib]
name = "tui_vfx"
path = "src/lib.rs"

[[test]]
name = "test_full_schema_dump"
path = "tests/test_full_schema_dump.rs"

[dependencies.tui-vfx-compositor]
version = "0.2.3"

[dependencies.tui-vfx-content]
version = "0.2.3"

[dependencies.tui-vfx-core]
version = "0.2.3"

[dependencies.tui-vfx-geometry]
version = "0.2.3"

[dependencies.tui-vfx-shadow]
version = "0.2.3"

[dependencies.tui-vfx-style]
version = "0.2.3"

[dependencies.tui-vfx-types]
version = "0.2.3"

[dev-dependencies.tui-vfx-debug]
version = "0.2.3"
